Instalação do Driver ATI Radeon XPRESS 200 no Ubuntu 16.04

Neste tutorial, oriento sobre como instalar o driver ATI Radeon XPRESS 200 no Ubuntu 16.04 e seus derivados.

[ Hits: 1.688 ]

Por: Eduardo Mozart de Oliveira em 15/01/2019 | Blog: http://www.eduardomozartdeoliveira.wordpress.com/


Introdução



Após instalar o Zorin OS 12.4 (amd64), baseado no Ubuntu 16.04, a tela do monitor piscava constantemente e a tela de logon não era exibida.

Acredito que o problema esteja relacionado à incompatibilidades da placa de vídeo com o gerenciador de login GDM3 (padrão do Zorin), você pode confirmar executando o comando:

cat /etc/X11/default-display-manager

E o Xorg, porém, não pude comprovar esta teoria devido a nenhum arquivo de travamento ser gerado em /var/crash. [8]

Você pode verificar o driver de vídeo em uso, através do comando:

sudo lspci -nnk
01:05.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] RS482/RS485 [Radeon Xpress 1100/1150] [1002:5974]
Subsystem: Hewlett-Packard Company DC5750 Microtower [103c:280a]
Kernel driver in use: radeon
Kernel modules: radeon


De acordo com as notas de lançamento do Ubuntu 16.04, o driver fglrx foi descontinuado e as alternativas Open Source (Radeon e AMDgpu) são recomendadas. [3] O AMDGPU provê melhor performance, mas está disponível apenas para placas novas. Placas antigas (que para a AMD significa 6 meses, se você tiver sorte) estão travadas com o Radeon.

Você não encontrará o pacote fglrx nos repositórios do Ubuntu 16.04 e não encontrará nenhuma versão para o Ubuntu 16.04 online. Você pode baixar a última versão do UEBsite da AMD e instalá-la, mas o sistema será executado em Low Graphics Mode, telas brancas, e outros problemas que você não deseja que aconteça. [5]

Você pode estar pensando que a AMD atualizará o driver, mas a AMD possui a reputação de descontinuar o suporte mesmo para placas lançadas a menos de 6 meses para Linux (atualmente, a AMD suporta apenas 20 modelos com o driver `amdgpu` [4]). Como a AMD não deseja atualizar o driver, a Canonical poderia atualizá-lo no Ubuntu, só que não. Como a versão 16.04 é um lançamento LTS, a Canonical teria que manter um driver AMD por pelo menos 5 anos, algo difícil de ser feito. [5]

Sempre existe a possibilidade da AMD mudar seu modelo de negócio e lançar um driver de vídeo que suporte diversos modelos de placa de vídeo, ou as pessoas evitarão usar AMD no Linux. Mas não faz sentido investir esforços em um driver que poucos SOs GNNU/Linux (tornando as coisas ainda mais difíceis). [5]

Ao executar o comando lspci, notei que, apesar da documentação oficial do Ubuntu informar que o modelo ATI Radeon XPRESS 200 é suportado pelo driver Open Source Radeon [1] (seção "Fully supported")

O driver Oibaf é compatível com AMD, NVIDIA e Intel, então, você pode experimentá-lo mesmo se você não gosta dos drivers proprietários da NVIDIA ou espera alcançar maior performance na sua placa Intel. Ele suporta novas versões do OpenGL e OpenCL, então programas que dependente destes recursos funcionarão. [5]

O driver do Oibaf parece um bom substituto para o fglrx e, provavelmente, é. Porém, se você possuí uma placa AMD atual, você gostará de testar o que a AMD oferece (AMDGPU-PRO). [5]

sudo apt-add-repository ppa:oibaf/graphics-drivers
sudo apt-get update
sudo apt-get dist-upgrade

Ao reiniciar, o problema persistia. Notei que o apt-get exibia a mensagem que 4 pacotes não foram atualizados. Foi necessário realizar a atualização manual deles através do comando:

sudo apt-get install libegl1-mesa libgbm1 libgl1-mesa-dri libgl1-mesa-dri:i386

Depois disso, reinicie o seu sistema e faça os seus testes:

sudo reboot

Caso algo não funcione de acordo, desinstale usando os comandos [2]:

sudo apt-get install ppa-purge
sudo ppa-purge ppa:oibaf/graphics-drivers

Alternativas: Dokomix fglrx

O Dokomix lançou uma versão do Xorg compatível com o fglrx para o Ubuntu Xenial (16.04). Testei esta versão, porém, o problema persistia (a tela continuava piscando e a tela de logon não era exibida). Porém, o usuário step21 do Super User informou que este driver funcionou perfeitamente com seu modelo. [6]

Para instalá-lo no Ubuntu 16.04, execute os seguintes comandos [7]:

sudo add-apt-repository ppa:dokomix/fglrx-xenial
sudo apt-get update
sudo apt-get dist-upgrade
sudo ldconfig
sudo reboot

Caso algo não funcione de acordo, desinstale-o usando os comandos [2]:

sudo apt-get install ppa-purge
sudo ppa-purge ppa:dokomix/fglrx-xenial

Permaneça com o driver Open Source

Se você usa seu computador para navegação Web, e-mail, vídeos no YouTube, etc. e não está enfrentando nenhum problema gráfico, então a falta de drivers proprietários provavelmente não te farão falta. [5]

Não é necessário instalá-lo, por que eles já estarão rodando, sem precisar fazer nada especial. [5]

Esteja ciente que eles normalmente não funcionam bem para aplicações 3D, de renderização e jogos, especialmente lançamentos. [5]

Downgrade para Ubuntu 14.04

Esta não é uma alternativa "real", devido ao encerramento do suporte para a versão Ubuntu 14.04.5 estar próximo (abril de 2019).

Você pode usar o fglrx e obter a performance que você quer/espera. [5]

Nota: a versão 14.04.5 trouxe o Xorg 1.18, que causa o problema existente no Ubuntu 16.04. Felizmente, é possível realizar downgrade do Xorg para a versão 1.16 (no Ubuntu 14.04), então você pode usar o fglrx.

As instruções estão disponíveis em: https://askubuntu.com/questions/676216/downgrade-xorg-server (em inglês). [5]

Referências

1. RadeonDriver. Ubuntu Documentation. Disponível em: https://help.ubuntu.com/community/RadeonDriver. Acesso em: 9 jan. 2018.

2. Drivers Oibaf para melhorar o desempenho em jogos no Ubuntu. Diolinux. Disponível em: https://www.diolinux.com.br/2014/02/oibaf-melhorar-desempenho-grafico-ubuntu.html. Acesso em: 9 jan. 2018.

3. XenialXerus/Release Notes. Ubuntu Wiki. Disponível em: https://wiki.ubuntu.com/XenialXerus/ReleaseNotes#fglrx. Acesso em: 9 jan. 2018.

4. AMDGPU-PRO Driver for Linux Release Notes. Disponível em: https://www.amd.com/en/support/kb/release-notes/rn-prorad-lin-amdgpupro. Acesso em: 9 jan. 2018.

5. Ubuntu 14.04.5/16.04 and newer on AMD graphics. Ask Ubuntu. Disponível em: https://askubuntu.com/questions/815591/ubuntu-14-04-5-16-04-and-newer-on-amd-graphics. Acesso em: 9 jan. 2018.

6. Ubuntu 16.04 Xenial ATI-Driver. Super User. Disponível em: https://superuser.com/questions/1130095/ubuntu-16-04-xenial-ati-driver. Acesso em: 9 jan. 2018.

7. Trouble with driver in ubuntu 16.04LTS. Reddit. Disponível em: https://www.reddit.com/r/Ubuntu/comments/6omayw/trouble_with_driver_in_ubuntu_1604lts/. Acesso em: 9 jan. 2018.

8. [Hewlett-Packard HP Compaq dc5750 Microtower] suspend/resume failure. Bugs. Disponível em: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/336680. Acesso em: 9 jan. 2018.

   

Páginas do artigo
   1. Introdução
Outros artigos deste autor

Adicionando um atalho na área de trabalho a um compartilhamento de rede no Ubuntu

Instalação do OpenJDK e Oracle JDK 11 no Ubuntu e Debian

Instalação e Configuração do Zabbix 3 e Agentes (Linux/Windows)

Como resolver problemas com o pkg-config

Configuração do Ubuntu 16.04 para acesso com cartão ao Banrisul

Leitura recomendada

Fedora 21 - Configuração pós-instalação

OpenSSH - Debian Lenny - CentOS 5.5 - Slackware 13.1

Eu!noel é sinônimo do Arch Linux! Por quê?

Iniciante KUbuntu 7.10 (curto e grosso)

Gerenciando contas de usuários

  
Comentários

Nenhum comentário foi encontrado.


Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts